### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-file/ecl-file.component.ts`

### Metadata

selector | `ecl-file`
styles | `:host { display: block; }`
templateUrl | `./ecl-file.component.html`

### Index

###### Methods
onItemClick
###### Inputs
aria-label description detailMeta href label language meta styleClass thumbnailUrl title
###### Outputs
itemDownload
###### HostBindings
class
###### Accessors
isThumbnail

### Constructor

`constructor()`

### Inputs

aria-label
Type : `string`
Default value : `''`

description
Type : `string`

detailMeta
Type : `string`

href
Type : `string`
Default value : `''`

label
Type : `string`

language
Type : `string`

meta
Type : `string[]`

styleClass
Type : `string`

thumbnailUrl
Type : `string`

title
Type : `string`

### Outputs

itemDownload
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### Methods

onItemClick
`onItemClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

### Accessors

isThumbnail
get `isThumbnail()`

# result-matching ""

# No results matching ""